--
-- ClaasAresHud
-- HUD script for the 8530
--
-- @author  Templaer
-- @date  12/06/09
--
-- Modifikationen erst nach Rcksprache
-- Do not edit without my permission
--

ClaasAresHud = {};

function ClaasAresHud.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ClaasAresHud:load(xmlFile)
    -- Information Hud Dimensions
	self.hudInfoBasePosX = 0.012;
    self.hudInfoBaseWidth = 0.4-0.012;
    self.hudInfoBasePosY = 1-0.99;
    self.hudInfoBaseHeight = 0.3;
	
	-- The actual overlay
	self.infoPanelPath = Utils.getFilename("Textures/hud_info_base.png", self.baseDirectory);
	self.hudInfoBaseOverlay = Overlay:new("hudInfoBaseOverlay", self.infoPanelPath, self.hudInfoBasePosX, self.hudInfoBasePosY, self.hudInfoBaseWidth, self.hudInfoBaseHeight);
		
	-- Boolean to show or hide the 
	self.showHudInfoBase = true;
end;

function ClaasAresHud:delete()
    if self.hudInfoBaseOverlay ~= nil then
		self.hudInfoBaseOverlay:delete();
	end;
end;

function ClaasAresHud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ClaasAresHud:keyEvent(unicode, sym, modifier, isDown)
end;

function ClaasAresHud:update(dt)
    if self.isEntered then
		if InputBinding.hasEvent(InputBinding.TOGGLEHUD) then
			self.showHudInfoBase = not self.showHudInfoBase;
		end;
	end;
end;
	
function ClaasAresHud:draw()
	if self.showHudInfoBase and self.isEntered then
		self.hudInfoBaseOverlay:render();
	end;
end;

